/*****************************************************************************
Author:Peter J. Vis
Last Updated:8 Dec 2009

Microcontroller:ATmega32
Crystal:16Mhz
Platform:Development System

URL:http://www.petervis.co.cc/C/development/introduction.html
Email:peter.vis@hotmail.co.uk

LIMITATIONS:
No portion of this work can be used in commercial applications without written
permission.This program can be published in magazines and articles with previous
consent and as long as credit is given to the author.

PURPOSE:
To test the UART Interface to PC by sending characters to the hyperterminal
window on the PC.

CIRCUIT:
UART PC Communication Interface with a MAX232 chip
*******************************************************************************/


#define F_CPU 16000000UL

#include <avr/io.h>
#include <util/delay.h>
#include "uart.h"
#include "uart.c"

int main()
{
  // init UART - this function is in an external file uart.c
  // this is needed to make printf work to send characters to hyperterminal
  uart_init();

 
  // init hyperterminal by sending VT100 escape sequences
  printf("\x1B[2J\x1B\x63");
 
  // Print a welcome message.
  printf("Hello...would you like to play a game? \r\n");
}
